Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class at

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.at

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class at

extends DefaultInternalAction

Internal action: `.at`.

Description: creates an event at some time in the future. This command is based on the unix "at" command, although not fully implemented yet.

Parameters:

- + when (string): the time for the event to be generated.
  The syntax of this string in the current implementation has the following format:

  > `now + <number> [<time_unit>]`

  where <time_unit> can be "s" or "second(s)", "m" or "minute(s)", "h" or "hour(s)", "d" or "day(s)". The default <time_unit> is milliseconds.
- + event (trigger term): the event to be created. The event should follow the Jason Syntax for event and be enclosed by { and }.

Examples:

- `.at("now +3 minutes", {+!g})`: generates the event `+!g` 3 minutes from now.
- `.at("now +1 m", {+!g})`
- `.at("now +2 h", {+!g})`

See Also:
  `wait`, Serialized Form

Field Summary
`static java.lang.String` | `atAtom`

Constructor Summary
`at()`

Method Summary
`void` | `cancelAts()`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### atAtom

    public static final java.lang.String atAtom

See Also:
  Constant Field Values

Constructor Detail

### at

    public at()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### cancelAts

    public void cancelAts()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD